System Commands
Reboot Device
Section titled “Reboot Device”Initiates a delayed device reboot.
POST /api/cmd/reboot/
Request Parameters:
| Field | Type | Description |
|---|---|---|
rebootSec | integer | Delay before reboot, from 0 to 180 seconds. |
Example Request:
{ "rebootSec": 3}Set Time
Section titled “Set Time”Sets the device time immediately.
POST /api/cmd/time/set/
Request Parameters:
| Field | Type | Description |
|---|---|---|
time | string | Time in ISO 8601 format relative to UTC0. |
Example Request:
{ "time": "2025-05-15T16:50:27"}Sync Time
Section titled “Sync Time”Immediately synchronizes device time with NTP servers specified in settings.
POST /api/cmd/time/sync/
Example Request:
{}Task files
Section titled “Task files”Clears the in-memory task list and rereads task files from the memory card.
Check memTaskfiles state for compilation or runtime errors.
POST /api/cmd/tasks/reread/
Example Request:
{}Activate License
Section titled “Activate License”Sends an activation request via WireGuard interface. Supported only with active WireGuard connection.
POST /api/activation/
Request Parameters:
| Field | Type | Description |
|---|---|---|
activation | object | Activation data object. |
infrastructureName | string | Infrastructure name. |
infrastructureShortUrl | string | Short URL to infrastructure site. |
domain | string | Server address used for activation. |
endpointId | string | Unique device identifier. |
endpointName | string | Device name. |
propertyId | string | Organization identifier. |
propertyName | string | Organization name. |
pin | string | 8-digit device PIN code. |
hasBonusesEur | string | Bonus amount on organization account. |
activeTill | string / null | Activation expiration date (ISO 8601, UTC), or null to reset activation. |
supportEmail | string | Support service email. |
Save Cloud Registration Data
Section titled “Save Cloud Registration Data”Saves cloud registration data to the default settings.
This request is intended for one-time use during device production. Newly programmed devices do not have cloud server connection links filled in. After the registration links and other registration data are saved, the device no longer accepts this request.
POST /api/register/
Request Parameters:
| Field | Type | Description |
|---|---|---|
manufacturerName | string / null | Manufacturer name used for registration. |
labelName | string / null | Registered device model name. |
sku | string / null | Registration model code. |
labelLink | string / null | Cloud server device link. |
modbusServer | string / null | Cloud Modbus TCP callback server address and port. |
discoveryServerUrl | string / null | WireGuard configuration server URL and authorization request base URL. |
vpnStaticConfig | object / null | Static WireGuard connection configuration, if used. |
endpoint | string | WireGuard server address and port. |
endpointPublicKey | string | Public key of the WireGuard server. |
deviceIpAddress | string | Device address in the VPN. |
allowedIps | array | VPN allowed IP ranges. |
persistentKeepalive | integer | Maximum idle period between WireGuard packets. |
pinCode | string / null | Unique cloud product code, up to 18 characters, or null if unsaved. |
Example Request:
{ "manufacturerName": "Overvis Ltd.", "labelName": "MC251", "sku": "mc251", "labelLink": "https://c.overvis.com/ABCDEFGH", "modbusServer": "modbus.overvis.com:20502", "discoveryServerUrl": "http://ocp.overvis.com/api/wg/", "vpnStaticConfig": { "endpoint": "ocp.overvis.com:31080", "endpointPublicKey": "vutsrqponmlkjihgfedcbaUTSRQPONMLKJIHGFEDCBA=", "deviceIpAddress": "10.0.0.3/16", "allowedIps": ["10.0.0.0/16"], "persistentKeepalive": 30 }, "pinCode": "ABCDEFGH"}Response:
Empty JSON upon successful command execution.
{}